/*************************************************
  opengate server
   module for Controling user DB 

   *** Edit this file to set user property ***
**************************************************/
#include "opengatesrv.h"

/********************************************************/
/* get user property from user db                       */
/********************************************************/
int getUserProperty(char userid[USERMAXLN], char userProperty[BUFFMAXLN])
{
  /*****************************************************/
  /*  user database access routine                     */
  /*  userid[USERMAXLN]: input: user ID to search      */
  /*               Caution: "userid" if default server,*/
  /*                        "userid@serverid" if not.  */
  /*  userProperty[BUFFMAXLN]: output: user property   */
  /*                   the value goes to opengatefw.pl */
  /*                   to determine permitting grade.  */     
  /*  return value: DENY or ACCEPT                     */
  /*     If DENY is returned, the user is denyed.      */
  /*     If ACCEPT, the value sent to firewall open.   */
  /*****************************************************/

  /* REPLACE THE FOLLOWING WITH YOUR DATABASE ACCESS ROUTINE */



  userProperty[0]='\0';    /* The User has No Property */
  return ACCEPT;           /* The User is Accepted     */



}


/* debug write routine */
int GetUserProperty(char *userid, char *userProperty)
{
  int ret;

  if(DEBUG) err_msg("DEBUG:=>getUserProperty(%s,)",userid);
  ret=getUserProperty(userid,userProperty);
  if(DEBUG) err_msg("DEBUG:(%d)<=getUserProperty(,%s)",ret, userProperty);

  return ret;
}
